%define piname	weatherfax_pi

Name:		opencpn-weatherfax-plugin
Summary:	Weatherfax plugin for OpenCpn
Version:	1.9.001
Release:	%mkrel 3
License:	GPLv3+
Group:		Geography
URL:		https://github.com/seandepagnier/%{piname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz
# link against system libaudiofile, and use system tinyxml.h
Patch1:		weatherfax_pi-system-audiofile.patch

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	lib64wxgtku3.1-devel
BuildRequires:	lib64portaudio-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(librtlsdr)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(audiofile)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Can open image files directly, or decode audio faxes to an image.
With simple calibration, resulting image is overlaid on top of charts.
Converts images in Mercator, polar, conic and uniform coordinates.
Can convert any image into a raster chart.
Built-in database for HF radio fax stations via SSB.
Built-in database for internet retrieval from meteorological sites.

%prep
%setup -q -n %{piname}
%apply_patches

# To be sure to use system tinyxml headers and not bundled ones
rm -f plugins/%{piname}/src/tinyxml/tinyxml*.cpp include/tinyxml.h
rm -rf src/libaudiofile
rm -rf src/tinyxml

# fix plugindir
sed -i -e '/PREFIX_LIB/s/PREFIX_LIB lib.*)/PREFIX_LIB %{_lib})/' cmake/PluginInstall.cmake

# fix build
sed -i -e 's/\s-lwx_gtk2u_adv-3.0//' CMakeLists.txt

%build
%cmake
%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/


%changelog
* Sun Oct 06 2019 tex - 1.9.001-3pclos2019
- rebuild against updates

* Thu May 16 2019 tex - 1.9.001-2pclos2019
- rebuild against updates

